/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.actions;

import es.org.chemi.games.minesweeper.MinesweeperPlugin;
import es.org.chemi.games.minesweeper.ui.MainView;
import es.org.chemi.games.util.Constants;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

public class BeginnerAction extends Action 
{
	private MainView view = null;
	
	/**
	 * Constructor for BeginnerAction
	 */
	public BeginnerAction(String label,MainView view) 
	{
		super(label);
		this.view = view;		
	}

	/**
	 * @see Action#run()
	 */
	public void run() 
	{
		view.updateActionsUI(Constants.MODE_BEGINNER);
		view.getController().refresh(Constants.MINES_MODE_BEGINNER,Constants.ROWS_MODE_BEGINNER,Constants.COLUMNS_MODE_BEGINNER);
		view.getController().changeMode(Constants.MODE_BEGINNER);
	}
}

