/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.actions;

import es.org.chemi.games.minesweeper.MinesweeperPlugin;
import es.org.chemi.games.util.Constants;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PartInitException;

public class WorkbenchWindowActionDelegate implements IWorkbenchWindowActionDelegate 
{
	private IWorkbenchPage page = null;

	/**
	 * @see IWorkbenchWindowActionDelegate#dispose()
	 */
	public void dispose() {
	}

	/**
	 * @see IWorkbenchWindowActionDelegate#init(IWorkbenchWindow)
	 */
	public void init(IWorkbenchWindow workBenchWindow) 
	{
		page = workBenchWindow.getActivePage();
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) 
	{
		try
		{
			page.showView(Constants.VIEW_ID);
		}
		catch(PartInitException ex)
		{
			MinesweeperPlugin.getDefault().getLog().log(new Status(IStatus.ERROR,MinesweeperPlugin.getDefault().getDescriptor().getUniqueIdentifier(),IStatus.ERROR,ex.toString(),null));
		}		
	}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction arg0, ISelection arg1) {
	}

}