/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.core;

import es.org.chemi.games.util.Constants;
import org.eclipse.swt.graphics.Point;


public class CellInfo 
{
	private boolean mine = false;
	private int warning = 0;
	private Point location = null;
	private int border = 0;
	private boolean flag = false;
	private boolean question = false;			
	
	public CellInfo(int x, int y)
	{
		location = new Point(x,y);
	}
	
	public Point getLocation()
	{
		return location;
	}
	
	public void setBorder(int param)
	{
		border = border | param;
	}
	
	public boolean isTopBorder()
	{
		if((border & Constants.TOP_BORDER) > 0)
			return true;
		else
			return false;
	}
	
	public boolean isDownBorder()
	{
		if((border & Constants.DOWN_BORDER) > 0)
			return true;
		else
			return false;
	}
	
	public boolean isLeftBorder()
	{
		if((border & Constants.LEFT_BORDER) > 0)
			return true;
		else
			return false;
	}
	
	public boolean isRightBorder()
	{
		if((border & Constants.RIGHT_BORDER) > 0)
			return true;
		else
			return false;
	}
	
	public void setMine(boolean isMine)
	{
		mine = isMine;
	}
	
	public boolean isMine()
	{
		return mine;
	}
	
	public void setWarning(int warn)
	{
		warning = warn;
	}
	
	public int getWarning()
	{
		return warning;
	}
	
	public void setFlag(boolean param)
	{
		flag = param;
	}
	
	public boolean isFlag()
	{
		return flag;
	}
	
	public void setQuestion(boolean param)
	{
		question = param;
	}
	
	public boolean isQuestion()
	{
		return question;
	}
}

