/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.events;

import es.org.chemi.games.minesweeper.MinesweeperPlugin;
import es.org.chemi.games.minesweeper.ui.MainView;
import es.org.chemi.games.util.Constants;
import java.util.Calendar;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.events.MouseListener;

public class MainButtonListener implements MouseListener 
{
	private MainView view = null;
	
	public MainButtonListener(MainView view)
	{
		this.view = view;
	}

	/**
	 * @see MouseListener#mouseDoubleClick(MouseEvent)
	 */
	public void mouseDoubleClick(MouseEvent arg0) 
	{
	}

	/**
	 * @see MouseListener#mouseDown(MouseEvent)
	 */
	public void mouseDown(MouseEvent e) 
	{
		// Tracing.
		if(MinesweeperPlugin.getDefault().isDebugging())
			System.out.println("[Minesweeper - " + Constants.TRACE_INFO + "] - " + Calendar.getInstance().getTime() + " - Restarting the game...");		

		// Restart the game.
		view.getCounter().reset();
		view.getController().initMinesField();
	}

	/**
	 * @see MouseListener#mouseUp(MouseEvent)
	 */
	public void mouseUp(MouseEvent arg0) 
	{
	}

}

