/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.minesweeper.ui;

import es.org.chemi.games.util.Constants;
import java.util.Hashtable;
import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

public class RecordsDialog extends Dialog 
{
	private MainView view = null;
	private Label beginnerTime = null;
	private Label beginnerName = null;
	private Label intermediateTime = null;
	private Label intermediateName = null;
	private Label expertTime = null;
	private Label expertName = null;
	
	/**
	 * Constructor for RecordsDialog
	 */
	public RecordsDialog(Shell shell, MainView view) 
	{
		super(shell);
		this.view = view;
	}
	
	protected void configureShell(Shell newShell) 
	{
 	   super.configureShell(newShell);
    	newShell.setText("Fastest Mine Sweepers");
	}

	protected Control createDialogArea(Composite parent) 
	{
	    Composite composite = (Composite)super.createDialogArea(parent);
	    
	    GridLayout gridLayout = new GridLayout();
	    gridLayout.numColumns = 3;
	    gridLayout.marginWidth = 20;
	    gridLayout.horizontalSpacing = 10;
	    
	    composite.setLayout(gridLayout);
	    
	    Label aux = new Label(composite,SWT.NONE);
	    aux.setText("Beginner:");
	    beginnerTime = new Label(composite,SWT.NONE);
	    beginnerTime.setText(view.getController().getRecords().get(Constants.RECORD_TIME_MODE_BEGINNER) + " seconds");
	    beginnerName = new Label(composite,SWT.NONE);
	    beginnerName.setText((String)view.getController().getRecords().get(Constants.RECORD_NAME_MODE_BEGINNER));
	    aux = new Label(composite,SWT.NONE);
	    aux.setText("Intermediate:");
	    intermediateTime = new Label(composite,SWT.NONE);
	    intermediateTime.setText(view.getController().getRecords().get(Constants.RECORD_TIME_MODE_INTERMEDIATE) + " seconds");
	    intermediateName = new Label(composite,SWT.NONE);
	    intermediateName.setText((String)view.getController().getRecords().get(Constants.RECORD_NAME_MODE_INTERMEDIATE));
	    aux = new Label(composite,SWT.NONE);
	    aux.setText("Expert:");
	    expertTime = new Label(composite,SWT.NONE);
	    expertTime.setText(view.getController().getRecords().get(Constants.RECORD_TIME_MODE_EXPERT) + " seconds");
	    expertName = new Label(composite,SWT.NONE);
	    expertName.setText((String)view.getController().getRecords().get(Constants.RECORD_NAME_MODE_EXPERT));
	    
    	return composite;
	}
	
	// Overwrite Dialog method to change the labels of its default buttons.
	protected void createButtonsForButtonBar(Composite parent) 
	{
		// create OK and Cancel buttons by default
		createButton(parent, IDialogConstants.OK_ID, "Reset", true);
		createButton(parent, IDialogConstants.CANCEL_ID, "Ok", false);
	}
	
	protected void okPressed()
	{
		beginnerName.setText("Anonymous");
		beginnerTime.setText("999 seconds");
		intermediateName.setText("Anonymous");
		intermediateTime.setText("999 seconds");
		expertName.setText("Anonymous");
		expertTime.setText("999 seconds");
		
		Hashtable records = view.getController().getRecords();
		records.put(Constants.RECORD_NAME_MODE_BEGINNER,"Anonymous");
		records.put(Constants.RECORD_TIME_MODE_BEGINNER,new Integer(999));
		records.put(Constants.RECORD_NAME_MODE_INTERMEDIATE,"Anonymous");
		records.put(Constants.RECORD_TIME_MODE_INTERMEDIATE,new Integer(999));
		records.put(Constants.RECORD_NAME_MODE_EXPERT,"Anonymous");
		records.put(Constants.RECORD_TIME_MODE_EXPERT,new Integer(999));
	}
}

