/************************************************************
 *
 * Copyright (c) 2001 Chemi. All rights reserved.
 * 
 * This program and the accompanying materials
 * are made available under the terms of the MIT License
 * which accompanies this distribution, and is available at
 * http://www.opensource.org/licenses/mit-license.html
 *
 ************************************************************/

package es.org.chemi.games.util;

import java.util.Enumeration;
import java.util.Hashtable;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.Image;


public class ResourceManager 
{
	private Hashtable colors = null;
	private Hashtable images = null;
	private Hashtable fonts = null;
	
	private static ResourceManager manager = null;
	
	public ResourceManager()
	{
		colors = new Hashtable();
		images = new Hashtable();
		fonts = new Hashtable();
	}
	
	public static ResourceManager getResourceManager()
	{
		if(manager == null)
			manager = new ResourceManager();
		return manager;
	}
	
	public void putImage(String param1, Image param2)
	{
		images.put(param1, param2);
	}
	
	public Image getImage(String param1)
	{
		return (Image)images.get(param1);
	}
	
	public void putFont(String param1, Font param2)
	{
		fonts.put(param1, param2);
	}
	
	public Font getFont(String param1)
	{
		return (Font)fonts.get(param1);
	}
	
	public void putColor(String param1, Color param2)
	{
		colors.put(param1, param2);
	}
	
	public Color getColor(String param1)
	{
		return (Color)colors.get(param1);
	}
	
	// Free resources
	public void dispose()
	{
		Enumeration e = colors.elements();
		while(e.hasMoreElements())
			((Color)e.nextElement()).dispose();
			
		e = fonts.elements();
		while(e.hasMoreElements())
			((Font)e.nextElement()).dispose();

		e = images.elements();
		while(e.hasMoreElements())
			((Image)e.nextElement()).dispose();
	}
}

